using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Tainikey
{
    internal static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            //<Ngăn không cho phép chạy nhiều instance (trayIcon) của ứng dụng>
            bool isNew;
            Mutex mutex = new Mutex(true, "Tainikey_SingleInstance", out isNew);

            if (!isNew)
            {
                MessageBox.Show("Tainikey đang chạy.");
                return;
            }
            //</Ngăn không cho phép chạy nhiều instance (trayIcon) của ứng dụng>
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new frmMain());
        }
    }
}
